Debian Bug report logs - #329681
nanoblogger: tidy plugin has encoding problems

version graph

Package: nanoblogger; Maintainer for nanoblogger is William Vera <billy@billy.com.mx>; Source for nanoblogger is src:nanoblogger.

Reported by: gregor herrmann <gregor+debian@comodo.priv.at>

Date: Thu, 22 Sep 2005 18:03:24 UTC

Severity: normal

Tags: patch

Found in version nanoblogger/3.2.3-2

Fixed in version nanoblogger/3.2.3-3

Done: William Vera <billy@billy.com.mx>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, William Vera <billy@billy.com.mx>:
Bug#329681; Package nanoblogger. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregor+debian@comodo.priv.at>:
New Bug report received and forwarded. Copy sent to William Vera <billy@billy.com.mx>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nanoblogger: tidy plugin has encoding problems
Date: Thu, 22 Sep 2005 19:51:48 +0200
Package: nanoblogger
Version: 3.2.3-2
Severity: normal
Tags: patch

Summary:
The tidy plugin shredders the feed files (*xml) if they (a) contain
non-ASCII characters and (b) are not encoded in UTF-8.

Details:
* blog.conf has a variable TIDY_ARGS
* tidy.sh has the following variables at the beginning:
  : ${TIDY_ARGS:=-asxhtml -n -utf8}
  : ${TIDY_HTML_ARGS:=$TIDY_ARGS}
  : ${TIDY_XML_ARGS:=-xml -n -utf8 -wrap 0}
* That means that the TIDY_XML_ARGS cannot be influenced via
  blog.conf at the moment, that '-utf8' is always used for the xml
  files, and that non-ASCII chars are scrambled if they are encoded
  differently than UTF-8 ...
  
Suggested solution:
* Delete the TIDY_ARGS variable from blog.conf and tidy.sh
* Set the defaults for TIDY_HTML_ARGS and TIDY_XML_ARGS in tidy.sh
* Add these two variables to blog.conf (with the default values in
  order to ease modifications for the user).

The suggested changes can be found in the patches below.

(This change would kind of break current installations, because
the existing TIDY_ARGS variable is not honoured any more. But IMO a
hint in the changelog and/or NEWS.Debian should be enough.)

gregor

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.31.20050730
Locale: LANG=C, LC_CTYPE=de_AT@euro (charmap=ISO-8859-15)

-- no debconf information


*** tidy.sh.diff
--- plugins/makepage/tidy.sh.orig	2005-09-22 19:41:31.000000000 +0200
+++ plugins/makepage/tidy.sh	2005-09-22 19:43:27.000000000 +0200
@@ -19,4 +19,3 @@
 # set additional arguments
-: ${TIDY_ARGS:=-asxhtml -n -utf8}
-: ${TIDY_HTML_ARGS:=$TIDY_ARGS}
+: ${TIDY_HTML_ARGS:=-asxhtml -n -utf8}
 : ${TIDY_XML_ARGS:=-xml -n -utf8 -wrap 0}

*** blog.conf.diff
--- default/blog.conf.orig	2005-09-22 19:49:42.000000000 +0200
+++ default/blog.conf	2005-09-22 19:50:01.000000000 +0200
@@ -100,3 +100,5 @@
 # Tidy plugin - command arguments for tidy. see tidy's man pages or http://tidy.sourceforge.net/
-TIDY_ARGS=""
+# Values for HTML and XML files respectively.
+TIDY_HTML_ARGS="-asxhtml -n -utf8"
+TIDY_XML_ARGS="-xml -n -utf8 -wrap 0"
 



Reply sent to William Vera <billy@billy.com.mx>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to gregor herrmann <gregor+debian@comodo.priv.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 329681-close@bugs.debian.org (full text, mbox):

From: William Vera <billy@billy.com.mx>
To: 329681-close@bugs.debian.org
Subject: Bug#329681: fixed in nanoblogger 3.2.3-3
Date: Sun, 23 Oct 2005 16:48:44 -0700
Source: nanoblogger
Source-Version: 3.2.3-3

We believe that the bug you reported is fixed in the latest version of
nanoblogger, which is due to be installed in the Debian FTP archive:

nanoblogger_3.2.3-3.diff.gz
  to pool/main/n/nanoblogger/nanoblogger_3.2.3-3.diff.gz
nanoblogger_3.2.3-3.dsc
  to pool/main/n/nanoblogger/nanoblogger_3.2.3-3.dsc
nanoblogger_3.2.3-3_all.deb
  to pool/main/n/nanoblogger/nanoblogger_3.2.3-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 329681@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
William Vera <billy@billy.com.mx> (supplier of updated nanoblogger package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 22 Oct 2005 16:37:26 -0500
Source: nanoblogger
Binary: nanoblogger
Architecture: source all
Version: 3.2.3-3
Distribution: unstable
Urgency: low
Maintainer: William Vera <billy@billy.com.mx>
Changed-By: William Vera <billy@billy.com.mx>
Description: 
 nanoblogger - small weblog engine for the UNIX command line
Closes: 329681 331675
Changes: 
 nanoblogger (3.2.3-3) unstable; urgency=low
 .
   * Fixed the fortune path in the plugin (Closes: #331675).
   * Fixed the encoding problem for the tidy plugin (Closes: #329681).
Files: 
 584dcb49112518832ae83fd8d96a414a 576 web optional nanoblogger_3.2.3-3.dsc
 cf06dab56a3a7ca230b26816e102590d 4765 web optional nanoblogger_3.2.3-3.diff.gz
 60d5868ee23dcfc79ac9080df32c3596 53488 web optional nanoblogger_3.2.3-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDXB8dipBneRiAKDwRAmIPAKCvdb5hxtsboNXbgVb4nqTEITV6EgCeMalf
SkDYLaXW14xtnobCTEonooA=
=Woz8
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 18:24:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:00:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.